* {
    box-sizing: border-box;
}

@font-face {
    font-family: 'ultraP';
    src: url(/fonts/VD-LogoMaru-Ultra-P.TTF);
}

@font-face {
    font-family: 'extraP';
    src: url(/fonts/VD-LogoMaru-Extra-P.TTF);
}

@font-face {
    font-family: 'portwebcons';
    src: url(/fonts/Port-webcons.otf);
}

html {
    scroll-behavior: smooth;
}

:root {
    --main-grey: #bfbfbf;
    --main-grey-hover: #919191;
    --main-black: #333;
    --main-accent: #ffcc5b;
}

body {
    margin: 0;
}

.header {
    max-width: 1200px;
    height: auto;
    margin: 30px auto 0 auto;
}

.headertop {
    width: auto;
    height: auto;
    margin-bottom: 15px;
}

.headerbottom {
    display: flex;
    width: 75%;
    height: 40px;
}

.headerbottom > * {
    flex: 1 1 0;
}

.navlink {

    font-family: 'ultraP';
    text-decoration: none;
    position: relative;
    color: white;
    font-size: 18px;
    background-color: var(--main-grey);
    display: flex;
    height: 40px;
    align-items: center;
    text-decoration: none;
}

.navlink span {
    margin-left: 10px;
    /* oh my fucking goddd vrooo T__T */
}

.navlink:hover, .nav-dropdown-trigger:hover {
    background-color: var(--main-grey-hover);
}

.navcorner {
    height: 33%;
    position: absolute;
    top: -.25px;
    right: 0;
}
.nav-dropdown-wrapper {
    position: relative;
}

.nav-dropdown-trigger {
    background-color: var(--main-grey);
    display: flex;
    height: 40px;
    padding-left: 10px;
    align-items: center;
    text-decoration: none;

    font-family: 'ultraP';
    text-decoration: none;
    position: relative;
    color: white;
    font-size: 18px;
    background-color: var(--main-grey);
    user-select: none;
    cursor: pointer;
}

.nav-dropdown-content {
    flex-direction: column;
    position: absolute;
    display: none;
    z-index: 9999;
    background-color: #f2f2f2;
    width: 100%;
    border-left: 3px solid var(--main-grey);
}

.nav-dropdown-wrapper.open .nav-dropdown-content {
    display: flex;
    /* THIS MAKES IT SHOW UP */
}

.nav-dropdown-link {
    font-family: 'ultraP';
    color: var(--main-grey);
    text-decoration: none;
    font-size: 18px;
    padding: 15px 0 15px 10px;
    border-bottom: 3px dotted var(--main-grey);
}

.nav-dropdown-link:hover {
    color: var(--main-accent);
}

.nav-dropdown-content .nav-dropdown-link:last-child {
        border-bottom: 3px solid var(--main-grey);
}

.main-section {
    max-width: 1200px;
    margin: 0 auto;
}

.main-container {
    border: 3px solid var(--main-grey);
    border-bottom: none;
    margin-top: -3px;
    padding: 11px;
}

.desktop-home-hero {
    /* background-color: rgba(255, 166, 0, 0.306); */
    width: 100%;
    position: relative;
    margin: 14px 0px 20px;
}

/* vvv BREAKPOINT vvv */
/* @media (max-width: 820px) {
    .desktop-home-hero {
        display: none;
    }
} */

@media (max-width: 500px) {

    .main-section {
        padding: 9px;
    }

    .updates-and-guestbook {
        flex-direction: column;
    }

}

    .desktop-hero-img {
        display: block;
        width: 100%;
        height: auto;
        /* margin-left: -1%;  */
        /* ^yeah sure, idk what else to do to center it^ */
        z-index: -999;
        object-fit: contain;
    }

    .work-button,
    .about-button,
    .blog-button,
    .sketches-button,
    .archive-button,
    .contact-button {
        position: absolute;
    }

    .desktop-home-hero a img:hover {
        transform: rotate(7deg);
    }

    .work-button {
        max-width: 31%;        
        left: -3%;
        bottom: 35.5%;
    }

    .about-button {
        max-width: 30%;
        left: 5%;
        bottom: 8%;
    }

    .blog-button {
        max-width: 24%;
        inset: 19% 0% 0% auto;
    }

    .sketches-button {
        max-width: 27%;
        inset: auto 1% 37% auto;
    }

    .archive-button {
        max-width: 23%;
        inset: auto 17% 11% auto;
    }

    .contact-button {
        max-width: 12%;
        inset: auto 3% 10% auto;
    }

    
.updates-and-guestbook {
    display: flex;
    margin: 15px 0 9px 0;
    gap: 9px;
}

.small-toothpick {
    margin-bottom: -3px;
}

    .small-toothpick-top {
        display: flex;
    }

    .small-toothpick-text-area {
        display: flex;
        position: relative;
        padding: 10px 45px 0 10px;
        background-color: var(--main-grey);
        font-family: 'ultraP';
        font-size: 18px;
        color: white;
        white-space: nowrap;
        /* ^ ermmmm... okay?? */
    }

    .small-toothpick-notch {
        position: absolute;
        right: 0;
        height: 100%;
        margin-top: -10px;
        /* ^ dirty solution but i dont care */
    }

    .small-toothpick-pusher {
        width: 100%;
    }

    .small-toothpick-bar {
        background-color: var(--main-grey);
        height: 10px;
    }


.updates,.guestbook{
    width: 100%;
}

/* vvv UPDATES BOX vvv */

.updates-content {
    border: 3px solid var(--main-grey);
    height: 325px;
    /* ^ wanted this to be auto but its being stupid, or i am idk*/

    overflow-y: auto;
    

    padding: 9px 15PX 0 15px ;
}

.update-item {
    padding: 10px 0 8px 5px;
    color: #8b8b8b;
    font-size: 15px;
    font-family: 'ultraP';
    border-bottom: 3px dotted var(--main-grey);
}

/* vvv GUESTBOOK BOX vvv */

.guestbook iframe {
    width: 100%;
    height: 325px;
    border: 3px solid var(--main-grey);
    margin-bottom: -6px; 
    /* ^ wierd but okay */
}

/* vvv FOOTER vvv */

.footer {
    max-width: 1200px;
    margin: 0 auto 40px auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.footer-content {
    font-family: 'extraP';
    width: 100%;
    color: white;
    font-size: 14px;
    height: 45px;
    background-color: var(--main-black);
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0 20px 0 15px;
    position: relative;
}

.copywright-txt {
    display: flex;
    align-items: center;
}

.copywright-txt p {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: 20px;
    margin-right: 10px;
}


.footer-content a {
    font-family: 'portwebcons';
    color: white;
    text-decoration: none;
    font-size: 30px;
    line-height: 30px;
}

.footer-content a:hover {
    color: var(--main-accent);
}

.footer-socials {
padding-top: 5px;
}

.footer-corner {
    position: absolute;
    height: 15px;
    top: 0;
    right: 0;
}

.top-of-page {
    margin-top: 10px;
    font-family: 'portwebcons';
    color:  var(--main-black);
    text-decoration: none;
    font-size: 30px;
}


.hero {
    background-color: pink;
    max-width: 1200px;
}

.blog-hero-img {
    width: 100%;
}